#define SAMPLING_PERIOD 250e-6

#define FREQ_MIN 10.0 // $B<~GH?t$N2<8BCM(B [Hz]
#define FREQ_MAX 1000.0 // $B<~GH?t$N>e8BCM(B [Hz]
#define FREQ_STEP 0.1 // $B<~GH?t$N%9%F%C%W(B [Hz]
#define AMP_MIN 0.0 // $B?6I}$N2<8BCM(B(D/A $B=PNO$NEE05(B) [V]
//#define AMP_MAX 7.0 // $B?6I}$N>e8BCM(B(D/A $B=PNO$NEE05(B) [V]
#define AMP_MAX 17.9 // $B?6I}$N>e8BCM(B(D/A $B=PNO$NEE05(B) [V]
#define AMP_STEP 0.01 // $B?6I}$N%9%F%C%W(B(D/A $B=PNO$NEE05(B) [V]
#define PHASE_MIN 0.0 // SPK1 $B$KBP$9$k(B SPK2 $B$N0LAjCY$l$N2<8BCM(B [deg]
#define PHASE_MAX 360.0 // SPK1 $B$KBP$9$k(B SPK2 $B$N0LAjCY$l$N>e8BCM(B [deg]
#define PHASE_STEP 1. // SPK1 $B$KBP$9$k(B SPK2 $B$N0LAjCY$l$N%9%F%C%W(B [deg]

// $B=i4|CM(B
#define FREQ0 120.0
#define AMP0 0.
#define PHASE0 0.0

struct my_msg_struct {
  double freq; // SPK1,2 $B$N<~GH?t(B($B6&DL(B)
  double amp1; // SPK1 $B$N?6I}(B
  double amp2; // SPK2 $B$N?6I}(B
  double phase; // SPK1 $B$KBP$9$k(B SPK2 $B$N0LAjCY$l(B
  double as1; //
  double bs1; //
  double ac1; //
  double bc1; //
  double as2; //
  double bs2; //
  double ac2; //
  double bc2; //
  int count; 
};

#define CH 4

#define PCB_COEFF_12991 141.2e-6 // $B@EE*9;@5CM(B V/Pa
#define PCB_COEFF_12992 131.3e-6 // $B@EE*9;@5CM(B V/Pa
#define PCB_COEFF_12637 147.0e-6 // $B@EE*9;@5CM(B V/Pa
#define PCB_COEFF_12638 152.0e-6 // $B@EE*9;@5CM(B V/Pa

#define PERIODS 100 // How many periods by which coefficients are averaged

#define C0 346 // speed of sound
//#define L 0.194 // distance between two sensors
//#define L 0.126 // distance between two sensors
#define L (0.45+0.068) // distance between two sensors
//#define L (0.70+0.068) // distance between two sensors

#define NAGANO_KEIKI_COEFF (625e3/464.) // Pa/V see 2013.12.30
